%define upstream_name    Graphics-ColorNamesLite-WWW
%define upstream_version 1.14.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    WWW color names and equivalent RGB values (lite version)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Graphics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Graphics::ColorNamesLite::WWW provides WWW color names and equivalent RGB
values (lite version).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml META.json LICENSE README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.14.0-3.mga10
+ Revision: 2206373
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.14.0-2.mga9
+ Revision: 1812924
- Mageia 9 Mass Rebuild

* Fri Jul 17 2020 tv <tv> 1.14.0-1.mga8
+ Revision: 1606831
- imported package perl-Graphics-ColorNamesLite-WWW


* Fri Jul 17 2020 Thierry Vignaud <tv@mageia.org> 1.14.0-1.mga8
- Import from CPAN
